Subject: In reflection service isPropertyGettable() does not acknowledge getter methods which require one or more 

arguments
Description

In reflection service isPropertyGettable() does not acknowledge getter methods which require one or more arguments

in model I have such method: public function getKeyValueConfig($key) { ...

and because of this reflection I have an error:
Warning: Missing argument 1 for XXX\Domain\Model\Channel_Original::getKeyValueConfig(), called in
/TYPO3.FLOW3/Classes/Reflection/ObjectAccess.php on line 109 and defined in
/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/XXX_Domain_Model_Channel_Original.php line 59

History
#1 - 2012-05-18 15:45 - Robert Lemke
- Status changed from New to Accepted
- Priority changed from Must have to Should have
- Target version set to 1.1 beta 2
- PHP Version set to 5.3
- Complexity set to easy

#2 - 2012-05-21 15:57 - Karsten Dambekalns
- Assigned To set to Robert Lemke

#3 - 2012-05-30 12:59 - Karsten Dambekalns
- Target version changed from 1.1 beta 2 to 1.1 RC1

#4 - 2012-06-25 22:35 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1

isPropertyGettable() does not care about method arguments at all - can you give more details on what you are doing and what goes wrong? Thanks!

#5 - 2012-07-10 08:32 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
- Target version deleted (1.1)
No feedback, closing this. Feel free to reopen with more information. Thanks!
